<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <title>Color Classification</title>

  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
    crossorigin="anonymous" />
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
    crossorigin="anonymous">
</head>

<body>
  <header>
    <div class="container-fluid p-0">
      <nav class="navbar navbar-expand-lg">
        <a class="navbar-brand" href="#">
          </i>Color Classification</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false"
          aria-label="Toggle navigation">
          <i class="fas fa-align-right text-light"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <div class="mr-auto"></div>
          <ul class="navbar-nav">
            <li class="nav-item active">
              <a class="nav-link" href="#">HOME
                <span class="sr-only">(current)</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#About">ABOUT US</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#footer">CONTACT</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#description">DESCRIPTION</a>
            </li>
          </ul>
        </div>
      </nav>
    </div>
    <div class="container text-center">
      <div class="row">
        <div class="col-md-7 col-sm-12  text-white">
          <h6>Deep Learning</h6>
          <h1>Color Classification</h1>
          <div class="container">
            <br><br>
            <form class="form-horizontal" action="/submit" method="post" enctype="multipart/form-data"style="margin-right: 30px;">
              <div class="form-group">
                <div class="col-sm-10">          
                  <input type="file" class="form-control" placeholder="Hours Studied"  name="my_image" id="pwd" autocomplete="off" required>
                </div>
              </div>
          
              <div class="form-group">        
                <div class="col-sm-offset-2 col-sm-10">
                  <button type="submit" class="btn btn-success">Submit</button>
                  <a href="{{url_for('remove')}}" class="btn btn-danger">Remove</a>
                </div>
              </div>
            </form>
             <div class="column">
              {% if prediction %}
            <img class="img" src="{{img_path}}" height="400px" width="400px">
              <h2 style="color: black;"> Your Prediction   : <i style="color:black;"> {{prediction}} </i></h2>
              {% endif %}
           </div>
          </div>

        </div>
        <div class="col-md-5 col-sm-12  h-25">
          <img src="{{url_for('static', filename='2gif.gif')}}" alt="Book" />
        </div>
      </div>
    </div>
  </header>
  <main>
    <section id="description" class="section-1">
      <div class="container text-center">
        <div class="row">
          <div class="col-md-6 col-12">
            <div class="pray">
              <img src="{{url_for('static', filename='about.png')}}" alt="Pray" class="" />
            </div>
          </div>
          <div class="col-md-6 col-12">
            <div class="panel text-left">
              <h1>About Project</h1>
              <p class="pt-4">
                Detecting colors with our physical eyes is always difficult in a sense that some colors resemble 
                each other. There is also a common color vision deficiency disease which is commonly known 
                as color blindness which affects our eyeballs with vision defect. Those people with such 
                disease face a lot of problem which color related activities. In such situation, color detecting 
                system will play a vital role as it will make it easier and simple when detecting colors. The 
                model will be designed in way that it will automatically get the name of color by clicking on 
                them
              </p>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="section-2 container-fluid p-0">
      <div class="cover">
        <div class="overlay"></div>
        <div class="content text-center">
          <h1>Aims and Goals</h1>
        </div>
      </div>
      <div class="purchase text-center">
        <div class="cards">
          <div class="d-flex flex-row justify-content-center flex-wrap">
            <div class="card">
              <div class="card-body">
                <div class="title">
                  <h5 class="card-title">Aims</h5>
                </div>
                <p class="card-text">                  
                  Color classification based on images and plain color images.
                </p>
                <div class="pricing">
                  <h1></h1>
                </div>
              </div>
            </div>
            <div class="card">
              <div class="card-body">
                <div class="title">
                  <h5 class="card-title">Objectives</h5>
                </div>
                <p class="card-text">
                  * Classified color and display the name of color.<br>
                  * Upload the color images and displaying oputs.<br>
                  * Images with dominate color name will be display on the screen.
                  <!--  <ul>
                       <li>
                        Build a gender classification system based on facial images.
                       </li>
                       <li>
                        Detect the accuracy of the male or female images in terms of
                        percentage.
                       </li>
                       <li>
                        Detect the gender from the provided dataset.
                       </li>
                   </ul>-->
                </p>
                <div class="pricing">
                  <h1></h1>
                </div>
              </div>
            </div>
            <div class="card">
              <div class="card-body">
                <div class="title">
                  <h5 class="card-title">Deliverables</h5>
                </div>
                <p class="card-text">
                    This web application will able to detect the color from the given images and display the name of the color.
                    This web also provide the color domination in the image and display the name of the color.
                    Able to classify color from the images.                     
                </p>
                <div class="pricing">
                  <h1></h1>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
  <!-- Section 4 -->
    <section class="section-4">
      <div class="container text-center">
        <h1 id="About" class="text-dark">Meet our Team</h1>
        <p class="text-secondary">Team Members and Developer.</p>
      </div>
      <div class="team row ">

        <div class="col-md-3 col-12 text-center">
            <div class="card mr-2 d-inline-block shadow-lg">
                <div class="card-img-top">
                  <img src="{{url_for('static', filename='bikram.jpg')}}" class="img-fluid border-radius p-4" alt="">
                </div>
                <div class="card-body">
                  <h3 class="card-title">Bikram Chuwan</h3>
                  <p class="card-text">
                    Web Developer
                  </p>
                </div>
              </div>
        </div>

        <div class="col-md-3 col-12 text-center">
            <div class="card mr-2 d-inline-block shadow-lg">
                <div class="card-img-top">
                  <img src="{{url_for('static', filename='sonam.jpg')}}" class="img-fluid border-radius p-4" alt="">
                </div>
                <div class="card-body">
                  <h3 class="card-title">Sonam Thinley</h3>
                  <p class="card-text">
                    Data Analyst
                  </p>
                </div>
              </div>
        </div>

        <div class="col-md-3 col-12 text-center">
            <div class="card mr-2 d-inline-block shadow-lg">
                <div class="card-img-top">
                  <img src="{{url_for('static', filename='tsheeldee.jpg')}}" class="img-fluid border-radius p-4" alt="">
                </div>
                <div class="card-body">
                  <h3 class="card-title">Tshewang Dendup</h3>
                  <p class="card-text">
                    Data Analyst
                  </p>
                </div>
              </div>
        </div>

        <div class="col-md-3 col-12 text-center">
            <div class="card mr-2 d-inline-block shadow-lg">
                <div class="card-img-top">
                  <img src="{{url_for('static', filename='jur.jpg')}}" class="img-fluid border-radius p-4" alt="">
                </div>
                <div class="card-body">
                  <h3 class="card-title">Tshering Jurmey</h3>
                  <p class="card-text">
                    Web Developer
                  </p>
                </div>
              </div>
        </div>

        </div>
      </div>
    </section>
  </main>
    </section>
  </main>
  <footer>
    <div id="footer"class="container-fluid p-0">
      <div class="row text-left">
        <div class="col-md-5 col-sm-5">
          <h4 class="text-light">About us</h4>
          <p class="text-muted">12190083.gcit@rub.edu.bt</p>
          <p class="text-muted">+975 17358975</p>
          <p class="text-muted">Gyalpozhing, Mongar</p>
          <p class="pt-4 text-muted">Gyalpozhing College of information Technology
            <span> @gcit</span>
          </p>
        </div>

        <div class="col-md-2 col-sm-12" style="margin-left: 30px;">
          <h4 class="text-light">Follow Us</h4>
          <p class="text-muted">Let us be social</p>
          <div class="column text-light">
            <i class="fab fa-facebook-f"></i>
            <i class="fab fa-instagram"></i>
            <i class="fab fa-twitter"></i>
            <i class="fab fa-youtube"></i>
          </div>
        </div>
      </div>
    </div>
  </footer>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
    crossorigin="anonymous"></script>
  <script src="./main.js"></script>
</body>


<style>
    @import url("https://fonts.googleapis.com/css?family=Acme|Lobster|Patua+One|Rubik|Sniglet");
* {
  box-sizing: border-box;
}

header,
section {
  overflow-x: hidden;
}

:root {
  --Sniglet-font: "Sniglet", cursive;
  --Rubik: "Rubik", cursive;
  --Patua: "Patua One", cursive;
  --Lobster: "lobster", cursive;
  --light-black: #2e2c2caf;
  --bggradient: linear-gradient(to bottom, #dd2476, #ff512f);
  --light-gray: rgba(255, 255, 255, 0.877);
}

header a {
  font-family: var(--Sniglet-font);
  font-size: 0.9em;
  color: whitesmoke;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #2e2c2caf;
  min-width: 160px;
  box-shadow: 0px 2px 15px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover {
  background-color: #ddd;
}

.dropdown:hover .dropdown-content {
  display: block;
}

header .nav-item:last-child {
  padding-right: 10.5em;
}

header .nav-item {
  padding: 0.9em;
}

header .navbar-brand {
  padding-left: 8rem;
}

header .nav-link:hover {
  color: black;
}

header .row .col-md-7 {
  padding: 22vmin 1vmin;
  padding-bottom: 35vmin;
}

header .row .col-md-5 {
  padding: 4.2vmin 1vmin;
}

header .row .col-md-5 img {
  width: 90%;
}

header {
  background: #464688;
  /* fallback for old browsers */
  background: linear-gradient(  #464688,#dfe591);
}

header .container .col-md-7 {
  font-family: "Rubik", sans-serif;
}

header .container .col-md-7 h6 {
  padding: 1vmin;
  letter-spacing: 4px;
}

header .container .col-md-7 h1 {
  font-size: 8.5vmin;
  font-weight: bold;
  padding: 0.1em 0em;
}

header .container .col-md-7 p {
  padding: 1vmin 5vmin;
}

.primary-btn {
  border-radius: 30px;
  font-weight: bold;
}

/********** section 1 **************/

.section-1 {
  padding: 20vmin 0vmin;
}

.section-1 .row .col-md-6 .pray img {
  opacity: 0.8;
  width: 80%;
  border-radius: 0.2em;
}

.section-1 .row .col-md-6:last-child {
  position: relative;
}

.section-1 .row .col-md-6 .panel {
  position: absolute;
  top: 7vmin;
  left: -18vmin;
  background: white;
  border-radius: 3px;
  text-align: left;
  padding: 13vmin 5vmin 20vmin 10vmin;
  box-shadow: 0px 25px 42px rgba(0, 0, 0, 0.2);
  font-family: var(--Rubik);
  z-index: 1;
}

.section-1 .row .col-md-6 .panel h1 {
  font-weight: bold;
  padding: 0.4em 0;
  font-size: 2em;
}

.section-1 .row .col-md-6 .panel p {
  font-size: 0.9em;
  color: rgba(0, 0, 0, 0.5);
}

/*  Section 2  */

.cover {
  width: 100%;
  height: 55vmin;
  background-position: -24rem -19rem;
  background-size: 150%;
  position: relative;
}

.cover .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 999;
}

.cover .content {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  padding-top: 19vmin;
}

.cover .content > h1 {
  font-family: var(--Patua);
  font-size: 6vmin;
  color: whitesmoke;
}

.cover .content > p {
  font-family: var(--Rubik);
  font-size: 2vmin;
  color: #e5e5e5;
}

.numbers .rect {
  position: relative;
  z-index: 1;
  background: white;
  width: 17rem;
  height: 12rem;
  padding-top: 3.5vmin;
  margin: 1rem;
  border-radius: 0.5em;
  box-shadow: 1px 2px 50px 0px rgba(255, 0, 0, 0.349);
}

.numbers {
  margin-top: -15vmin;
}

.numbers .rect h1 {
  font-size: 5rem;
  color: tomato;
}

.numbers .rect > p {
  font-family: var(--Patua);
}

.purchase > h1 {
  padding-top: 15vmin;
  padding-bottom: 0.1em;
  font-family: var(--Lobster);
}

.purchase > p {
  color: var(--light-black);
  font-size: 3vmin;
  padding-bottom: 10vmin;
}

.purchase .cards .card {
  width: 22rem;
  margin: 3vmin 3vmin;
}

.cards div {
  padding: 0;
  margin: 0;
}

.cards .title {
  background: rgba(208, 241, 241, 0.199);
  padding: 1.4em 2.5em;
  font-size: 2vmin;
}

.card .card-text {
  padding: 2.5rem 3rem;
  color: var(--light-black);
}

.card-body .pricing {
  border-top-right-radius: 170px;
  margin-bottom: 100px;
  border-top-left-radius: 170px;
}

.card-body .pricing > h1 {
  font-size: 10vmin;
  padding: 1em 0.5em;
}

/* Section 3 */

.section-3 {
  height: 70vmin;
  margin-top: 15vmin;
  background: var(--bggradient);
}

.section-3 .col-md-12 > h1 {
  padding: 2em 0 0.5em 0;
  color: whitesmoke;
  font-size: 6vmin;
}

.section-3 .col-md-12 > p {
  padding: 0 4em;
  padding-bottom: 2em;
  color: var(--light-gray);
  font-size: 3vmin;
}

.section-3 .desktop {
  background: white;
  display: inline-block;
  border-radius: 3em;
  padding: 2vmin 4.5vmin;
  margin: 1em;
}

.section-3 .desktop h3 {
  font-size: 4vmin;
}

.section-3 .desktop p {
  font-size: 2vmin;
}

/* Section Team */

.section-4 .container h1 {
  font-size: 6vmin;
  padding-top: 14vmin;
}

.section-4 .team {
  padding: 10vmin 4vmin;
}

.section-4 .card {
  width: 22em;
  margin-top: 10vmin;
}

.section-4 .card .card-text {
  padding: 0.5em;
}

.section-4 .card-body > a {
  font-size: 1.5em;
}

.section-4 .carousel-item {
  padding-left: 3rem;
}

.border-radius {
  border-radius: 340px;
  width: 60%;
}

footer {
  background: rgba(0, 0, 0, 0.815);
  overflow-x: hidden;
  padding: 14vmin 18vmin;
}

footer p > span {
  color: #ff512f;
}

footer input {
  border: none !important;
}

footer input::placeholder {
  color: white !important;
}

footer .input-group .input-group-text {
  background: var(--bggradient);
  border: none;
}

footer .column i {
  color: #dd2476;
}

/* It is Adjacent sibling combinator */

footer .column i + i {
  padding: 0 0.5em;
}

.sticky {
  position: fixed;
  top: 0;
  width: 100%;
  background: rgba(0, 0, 0, 0.815);
  z-index: 9999;
  transition: all 1.5s ease;
}
</style>


<style>
    @media only screen and (max-width: 768px) {
    header .navbar-brand {
      padding-left: 1rem;
    }
    .section-1 .row .col-md-6 .panel {
      position: initial;
      width: initial;
      height: initial;
    }
    .section-2 .cover {
      background-position: -25vmin -10vmin;
    }
    .numbers .rect {
      width: 10rem;
      height: 8rem;
    }
    .numbers .rect h1 {
      font-size: 2rem;
    }
  
    .section-3 {
      height: inherit;
      padding: 10vmin !important;
    }
    .section-3 .row h1 {
      padding: 6vmin 4vmin;
    }
    .section-3 .platform .col-md-6 {
      text-align: center !important;
    }
    .section-3 .desktop i {
      font-size: 8vmin;
    }
    .section-4 .carousel-item {
      padding-left: 0.6rem;
    }
    footer .row .col-md-2 {
      margin-top: 8vmin;
    }
  }
  
  /* screen size 375px */
  
  @media only screen and (max-width: 375px) {
    .section-4 .card {
      width: 18em;
    }
  }
  
  @media only screen and (max-width: 320px) {
    .section-4 .carousel-inner {
      margin-left: -4vmin;
    }
  }
</style>

<script>
    let nCount = selector => {
    $(selector).each(function () {
      $(this)
        .animate({
          Counter: $(this).text()
        }, {
          // A string or number determining how long the animation will run.
          duration: 4000,
          // A string indicating which easing function to use for the transition.
          easing: "swing",
          /**
           * A function to be called for each animated property of each animated element. 
           * This function provides an opportunity to
           *  modify the Tween object to change the value of the property before it is set.
           */
          step: function (value) {
            $(this).text(Math.ceil(value));
          }
        });
    });
  };
  
  let a = 0;
  $(window).scroll(function () {
    // The .offset() method allows us to retrieve the current position of an element  relative to the document
    let oTop = $(".numbers").offset().top - window.innerHeight;
    if (a == 0 && $(window).scrollTop() >= oTop) {
      a++;
      nCount(".rect > h1");
    }
  });
  
  
  
  /**
   *
   *  sticky navigation
   *
   */
  
  let navbar = $(".navbar");
  
  $(window).scroll(function () {
    // get the complete hight of window
    let oTop = $(".section-2").offset().top - window.innerHeight;
    if ($(window).scrollTop() > oTop) {
      navbar.addClass("sticky");
    } else {
      navbar.removeClass("sticky");
    }
  });
</script>

</html>